This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 461414 - [QLogic 5.3 bug] qla2xxx/qla84xx: Fix 128Kb limitation in netlink messages;
[QLogic 5.3 bug] qla2xxx/qla84xx: Fix 128Kb limitation in netlink messages;
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.3
All Linux
high Severity urgent
: rc
: ---
Assigned To: Marcus Barrow
Martin Jenner
:
Depends On: 456900
Blocks: 415811
  Show dependency treegraph
 
Reported: 2008-09-07 12:35 EDT by David Somayajulu
Modified: 2009-06-20 01:23 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:59:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qla2xxx: qla84xxx: Fix 128Kb limitation in netlink messages; (10.20 KB, application/octet-stream)
2008-09-07 12:35 EDT, David Somayajulu
no flags Details
version submitted to rhkl (10.34 KB, patch)
2008-09-08 15:59 EDT, Marcus Barrow
no flags Details | Diff

  None (edit)
Description David Somayajulu 2008-09-07 12:35:56 EDT
Created attachment 315969 [details]
qla2xxx: qla84xxx: Fix 128Kb limitation in netlink messages; 

Description of problem:
The patch under https://bugzilla.redhat.com/show_bug.cgi?id=456900
adds support for Netlink Messages to configure QLA84XX. However the linux implementation of Netlink limits the message size to 128Kb. This patch overcomes that limitation. 

Also this syncs up the private netlink to the format which is proposed upstream.

Version-Release number of selected component (if applicable):


How reproducible:

Send netlink messages over 128Kb size (example load qla84xx firmware).

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Marcus Barrow 2008-09-08 15:59:53 EDT
Created attachment 316114 [details]
version submitted to rhkl

minor fixes to apply cleanly to RHEL 5.3
Comment 2 RHEL Product and Program Management 2008-09-09 14:28:24 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Don Zickus 2008-09-15 10:18:54 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 6 Chris Ward 2008-10-21 09:10:29 EDT
Attention Partners! 

RHEL 5.3 public Beta will be released soon. This URGENT severity bug
should have a fix in place in the recently released Partner Alpha drop,
available at ftp://partners.redhat.com. If you haven't had a chance yet to test
this bug, please do so at your earliest convenience, to ensure the highest
possible quality bits in the upcoming Beta drop.

Thanks, more information about Beta testing to come.

 - Red Hat QE Partner Management
Comment 7 Chris Ward 2008-11-28 02:15:27 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 8 Marcus Barrow 2008-12-01 18:15:45 EST
patch verified in 2.6.18-123.el5
Comment 10 errata-xmlrpc 2009-01-20 14:59:31 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.